Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws.impl
Class GenericWsSenderImpl

    java.lang.Object
      be.ehealth.technicalconnector.ws.impl.AbstractWsSender
          be.ehealth.technicalconnector.ws.impl.GenericWsSenderImpl

All Implemented Interfaces:
  GenericWsSender

    public class GenericWsSenderImpl

extends AbstractWsSender
implements GenericWsSender

Implementation of `GenericWsSender`

Field Summary

Fields inherited from class be.ehealth.technicalconnector.ws.impl.AbstractWsSender
`MESSAGECONTEXT_ENDPOINT_ADDRESS, PROP_RETRY_STRATEGY`

Constructor Summary
`GenericWsSenderImpl()`

Method Summary
`Node` | `sendCertificateSecured(String url, Document payload, X509Certificate certificate, PrivateKey privateKey)`
`Node` | `sendCertificateSecured(String url, Document payload, X509Certificate certificate, PrivateKey privateKey, String soapAction)`
`String` | `sendCertificateSecured(String url, String payload, X509Certificate certificate, PrivateKey privateKey)`
`String` | `sendCertificateSecured(String url, String payload, X509Certificate certificate, PrivateKey privateKey, String soapAction)`
`Node` | `sendSamlSecured(String url, Document payload, Element assertion, Credential credential)`
`Node` | `sendSamlSecured(String url, Document payload, Element assertion, Credential credential, String soapAction)`
`String` | `sendSamlSecured(String url, String payload, Element assertion, Credential credential)`
`String` | `sendSamlSecured(String url, String payload, Element assertion, Credential credential, String soapAction)`
`Node` | `sendUnsecured(String url, Document payload)`
`Node` | `sendUnsecured(String url, Document payload, String soapAction)`
`String` | `sendUnsecured(String url, String payload)` Send unsecured.
`String` | `sendUnsecured(String url, String payload, String soapAction)`

Methods inherited from class be.ehealth.technicalconnector.ws.impl.AbstractWsSender
`send`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.ws.GenericWsSender
`send`

Constructor Detail

### GenericWsSenderImpl

    public GenericWsSenderImpl()

Method Detail

### sendUnsecured

    public String sendUnsecured(String url,
                                String payload)
                         throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send unsecured.

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    public String sendUnsecured(String url,
                                String payload,
                                String soapAction)
                         throws TechnicalConnectorException

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendUnsecured

    public Node sendUnsecured(String url,
                              Document payload)
                       throws TechnicalConnectorException

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendUnsecured

    public Node sendUnsecured(String url,
                              Document payload,
                              String soapAction)
                       throws TechnicalConnectorException

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendSamlSecured

    public String sendSamlSecured(String url,
                                  String payload,
                                  Element assertion,
                                  Credential credential)
                           throws TechnicalConnectorException

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendSamlSecured

    public String sendSamlSecured(String url,
                                  String payload,
                                  Element assertion,
                                  Credential credential,
                                  String soapAction)
                           throws TechnicalConnectorException

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendSamlSecured

    public Node sendSamlSecured(String url,
                                Document payload,
                                Element assertion,
                                Credential credential)
                         throws TechnicalConnectorException

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendSamlSecured

    public Node sendSamlSecured(String url,
                                Document payload,
                                Element assertion,
                                Credential credential,
                                String soapAction)
                         throws TechnicalConnectorException

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendCertificateSecured

    public String sendCertificateSecured(String url,
                                         String payload,
                                         X509Certificate certificate,
                                         PrivateKey privateKey)
                                  throws TechnicalConnectorException

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendCertificateSecured

    public String sendCertificateSecured(String url,
                                         String payload,
                                         X509Certificate certificate,
                                         PrivateKey privateKey,
                                         String soapAction)
                                  throws TechnicalConnectorException

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendCertificateSecured

    public Node sendCertificateSecured(String url,
                                       Document payload,
                                       X509Certificate certificate,
                                       PrivateKey privateKey)
                                throws TechnicalConnectorException

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

### sendCertificateSecured

    public Node sendCertificateSecured(String url,
                                       Document payload,
                                       X509Certificate certificate,
                                       PrivateKey privateKey,
                                       String soapAction)
                                throws TechnicalConnectorException

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.